artdaq - Support #22701

Add additional unit tests for RequestMessage.hh
06/07/2019 11:12 AM - Eric Flumerfelt

Status: Resolved Start date: 05/08/2019
Priority: Normal Due date:

Assignee: Eric Flumerfelt % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Experiment: - Co-Assignees:

Description

The RequestMessage class now has a unit test that tests its serialization and de-serialization.

Unit tests should be added for the VectorBitset class, possibly as part of a functionality test for the RequestPacket struct.

Related issues:

Follows artdaq - Feature #22532: Add acknowledgements to Request protocol Resolved 05/07/2019

History

#1 - 06/07/2019 11:13 AM - Eric Flumerfelt

- Follows Feature #22532: Add acknowledgements to Request protocol added

- Start date changed from 06/07/2019 to 05/08/2019

#2 - 11/08/2019 01:20 PM - Eric Flumerfelt
- Assignee set to Eric Flumerfelt

- Status changed from New to Resolved

Implemented additional tests on artdaq:feature/22701_RequestMessage_t_AdditionalTests
